ID CVE-2010-0256
Summary Microsoft Office Visio 2002 SP2, 2003 SP3, and 2007 SP1 and SP2 does not properly calculate unspecified indexes associated with Visio files, which allows remote attackers to execute arbitrary code via a crafted file, aka "Visio Index Calculation Memory Corruption Vulnerability." Per: http://www.microsoft.com/technet/security/Bulletin/MS10-028.mspx 'Users of Microsoft Office Visio 2002 and later versions of Visio will be prompted with Open, Save, or Cancel before opening a document. This is a mitigating factor because the vulnerability requires more than a single user action to complete the exploit.'
References
Vulnerable Configurations
  • cpe:2.3:a:microsoft:visio:2002:sp2:*:*:*:*:*:*
    cpe:2.3:a:microsoft:visio:2002:sp2:*:*:*:*:*:*
  • cpe:2.3:a:microsoft:visio:2003:sp3:*:*:*:*:*:*
    cpe:2.3:a:microsoft:visio:2003:sp3:*:*:*:*:*:*
  • cpe:2.3:a:microsoft:visio:2007:sp1:*:*:*:*:*:*
    cpe:2.3:a:microsoft:visio:2007:sp1:*:*:*:*:*:*
  • cpe:2.3:a:microsoft:visio:2007:sp2:*:*:*:*:*:*
    cpe:2.3:a:microsoft:visio:2007:sp2:*:*:*:*:*:*
CVSS
Base: 7.6 (as of 12-10-2018 - 21:56)
Impact:
Exploitability:
CWE CWE-94
CAPEC
  • Code Injection
    An adversary exploits a weakness in input validation on the target to inject new code into that which is currently executing. This differs from code inclusion in that code inclusion involves the addition or replacement of a reference to a code file, which is subsequently loaded by the target and used as part of the code of some application.
  • Leverage Executable Code in Non-Executable Files
    An attack of this type exploits a system's trust in configuration and resource files. When the executable loads the resource (such as an image file or configuration file) the attacker has modified the file to either execute malicious code directly or manipulate the target process (e.g. application server) to execute based on the malicious configuration parameters. Since systems are increasingly interrelated mashing up resources from local and remote sources the possibility of this attack occurring is high.
  • Manipulating User-Controlled Variables
    This attack targets user controlled variables (DEBUG=1, PHP Globals, and So Forth). An attacker can override environment variables leveraging user-supplied, untrusted query variables directly used on the application server without any data sanitization. In extreme cases, the attacker can change variables controlling the business logic of the application. For instance, in languages like PHP, a number of poorly set default configurations may allow the user to override variables.
Access
VectorComplexityAuthentication
NETWORK HIGH NONE
Impact
ConfidentialityIntegrityAvailability
COMPLETE COMPLETE COMPLETE
cvss-vector via4 AV:N/AC:H/Au:N/C:C/I:C/A:C
oval via4
accepted 2013-02-11T04:03:24.169-05:00
class vulnerability
contributors
  • name Dragos Prisaca
    organization Symantec Corporation
  • name Shane Shaffer
    organization G2, Inc.
definition_extensions
  • comment Microsoft Office Visio 2002 SP2 is installed
    oval oval:org.mitre.oval:def:692
  • comment Microsoft Office Visio 2003 is installed
    oval oval:org.mitre.oval:def:1450
  • comment Microsoft Office Visio 2007 is installed
    oval oval:org.mitre.oval:def:5261
description Microsoft Office Visio 2002 SP2, 2003 SP3, and 2007 SP1 and SP2 does not properly calculate unspecified indexes associated with Visio files, which allows remote attackers to execute arbitrary code via a crafted file, aka "Visio Index Calculation Memory Corruption Vulnerability."
family windows
id oval:org.mitre.oval:def:6732
status accepted
submitted 2010-03-13T13:00:00
title Visio Index Calculation Memory Corruption Vulnerability
version 7
refmap via4
cert TA10-103A
ms MS10-028
Last major update 12-10-2018 - 21:56
Published 14-04-2010 - 16:00
Back to Top